# Class LoginPhase

#### Hierarchy (view full)

- Phase
  - LoginPhase

- Defined in src/phases.ts:69

#####
Index

### Constructors

constructor

### Properties

scene
showText

### Methods

end
start

## Constructors

### constructor

- new LoginPhase(scene, showText?): LoginPhase

- #### Parameters

  - scene: default
  - `Optional` showText: boolean

  #### Returns LoginPhase

  Overrides Phase.constructor

  - Defined in src/phases.ts:72

## Properties

### `Protected` scene

scene: default

Inherited from Phase.scene

- Defined in src/phase.ts:4

### `Private` showText

showText: boolean

- Defined in src/phases.ts:70

## Methods

### end

- end(): void

- #### Returns void

  Overrides Phase.end

  - Defined in src/phases.ts:138

### start

- start(): void

- #### Returns void

  Overrides Phase.start

  - Defined in src/phases.ts:78